/*
 * pcie_template_device.h
 *
 * Copyright (c) 2010 Adnan Khaleel <akhaleel at cray com>
 *                    Cray Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, see <http://www.gnu.org/licenses/>.
 */

/* This is essentially an example for a device that utilises PCIe and MSI-X */

#ifndef QEMU_PCIE_MSIX_TEMPLATE_H
#define QEMU_PCIE_MSIX_TEMPLATE_H

#include "pcie_port.h"

#define PCIE_MSIX_DEVICE  "pcie_msix_device"

void pcie_msix_init(PCIBus *bus);

#endif /* QEMU_PCIE_MSIX_TEMPLATE_H */
